Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1098614 - ppc64le must be 64 bits in acpica-tools tests
Summary: ppc64le must be 64 bits in acpica-tools tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: acpica-tools
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Al Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-05-16 16:47 UTC by Menanteau Guy
Modified: 2014-06-19 22:52 UTC (History)
1 user (show)

Fixed In Version: acpica-tools-20140424-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-19 22:52:04 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-05-16 16:47:08 UTC
Description of problem:
ppc64le is not recognized as 64 bits by run-misc-tests.sh run during make check 

Version-Release number of selected component (if applicable):
acpica-tools-20140424-1

How reproducible:
build with make check on arch ppc64le

Actual results:
+ cd ../..
+ ./run-misc-tests.sh /builddir/build/BUILDROOT/acpica-tools-20140424-1.fc21.ppc64le/usr/bin 20140424
+ BINDIR=/builddir/build/BUILDROOT/acpica-tools-20140424-1.fc21.ppc64le/usr/bin
+ VERSION=20140424
+ /builddir/build/BUILDROOT/acpica-tools-20140424-1.fc21.ppc64le/usr/bin/iasl -h
Supports ACPI Specification Revision 5.0A
...
++ uname -m
+ m=ppc64le
+ case $m in
+ BITS=32
++ stat --format=%Y /builddir/build/BUILDROOT/acpica-tools-20140424-1.fc21.ppc64le/usr/bin/iasl

Expected results:
++ uname -m
+ m=ppc64le
+ case $m in
+ BITS=64

Additional info:
Please consider to change line 24 of run-misc-tests.sh

  m=`uname -m`
  case $m in
-      s390x | \
+      s390x | ppc64le | \ 
    *64) BITS=64
         ;;
    *)   BITS=32

Comment 1 Fedora Update System 2014-06-10 00:35:25 UTC
acpica-tools-20140424-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/acpica-tools-20140424-3.fc20

Comment 2 Fedora Update System 2014-06-11 16:27:05 UTC
Package acpica-tools-20140424-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpica-tools-20140424-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7245/acpica-tools-20140424-3.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-06-19 22:52:04 UTC
acpica-tools-20140424-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.